Bric::Util::Coll::Addr::Person - Interface for managing collections of contacts. $LastChangedRevision$ $LastChangedDate: 2006-03-18 01:26:34 +0100 (Sat, 18 Mar 2006) $ See Bric::Util::Coll. See Bric::Util::Coll.

Constructors
Inherited from Bric::Util::Coll.

Destructors
Dummy method to prevent wasting time trying to AUTOLOAD DESTROY. Throws: NONE. Side Effects: NONE. Notes: NONE.

Public Class Methods
Returns the name of the class of objects this collection manages. Throws: NONE. Side Effects: NONE. Notes: NONE.

Public Instance Methods
Saves the changes made to all the objects in the collection. Throws: Bric::_get() - Problems retrieving fields. Incorrect number of args to Bric::_set(). Bric::set() - Problems setting fields. Unable to connect to database. Unable to prepare SQL statement. Unable to execute SQL statement. Unable to select row. Side Effects: NONE. Notes: NONE.

Private Class Methods
NONE.

Private Instance Methods
NONE.

Private Functions
NONE. NONE. David Wheeler <david@justatheory.com> Bric